## GcalView GcalView |

## Functions

void | gcal_view_set_date ()
icaltimetype * | gcal_view_get_date ()
void | gcal_view_clear_marks ()
GList * | gcal_view_get_children_by_uuid ()

## Properties

icaltimetype * | active-date | Read / Write
GcalManager * | manager | Read / Write

## Signals

void | create-event | Run Last
void | create-event-detailed | Run Last

## Types and Values

#define | GCAL_TYPE_VIEW
struct | GcalViewInterface
| GcalView

## Object Hierarchy

        GInterface
        ╰── GcalView

## Prerequisites

GcalView requires GtkWidget.

## Known Implementations

GcalView is implemented by GcalMonthView, GcalWeekView and GcalYearView.

## Description

## Functions

### gcal_view_set_date ()

    void
    gcal_view_set_date (GcalView *view,
                        icaltimetype *date);

Sets the date of `view` .

#### Parameters

view | a GcalView |
date | an icaltimetype |

### gcal_view_get_date ()

    icaltimetype *
    gcal_view_get_date (GcalView *view);

Retrieves the date of `view` .

#### Parameters

view | a GcalView |

#### Returns

an icaltimetype.

[transfer none]

### gcal_view_clear_marks ()

    void
    gcal_view_clear_marks (GcalView *view);

Clear any marking the view had drawn

#### Parameters

view | a GcalView |

### gcal_view_get_children_by_uuid ()

    GList *
    gcal_view_get_children_by_uuid (GcalView *view,
                                    GcalRecurrenceModType mod,
                                    const gchar *uuid);

Returns a list with every event that has the passed uuid

#### Parameters

view | a GcalView |
uuid | The unique id of an event |

#### Returns

a {`link` GList} instance.

[transfer full]

## Types and Values

### GCAL_TYPE_VIEW

    #define GCAL_TYPE_VIEW (gcal_view_get_type ())

### struct GcalViewInterface

    struct GcalViewInterface {
      GTypeInterface      parent;

      /* signals */
      void               (*create_event)                             (GcalView           *view,
                                                                      icaltimetype       *start_span,
                                                                      icaltimetype       *end_span,
                                                                      gdouble             x,
                                                                      gdouble             y);

      void               (*create_event_detailed)                    (GcalView           *view,
                                                                      icaltimetype       *start_span,
                                                                      icaltimetype       *end_span);

      icaltimetype*      (*get_date)                                 (GcalView           *view);

      void               (*set_date)                                 (GcalView           *view,
                                                                      icaltimetype       *date);

      /* Marks related API */
      void               (*clear_marks)                              (GcalView           *view);

      GList*             (*get_children_by_uuid)                     (GcalView              *view,
                                                                      GcalRecurrenceModType  mod,
                                                                      const gchar           *uuid);
    };

### GcalView

    typedef struct _GcalView GcalView;

## Property Details

### The `“active-date”` property

      “active-date”              icaltimetype *

The active/selecetd date in the view.

Flags: Read / Write

### The `“manager”` property

      “manager”                  GcalManager *

The manager of the view.

Flags: Read / Write

## Signal Details

### The `“create-event”` signal

    void
    user_function (GcalView *gcalview,
                   gpointer  arg1,
                   gpointer  arg2,
                   gdouble   arg3,
                   gdouble   arg4,
                   gpointer  user_data)

Emitted when the view wants to create an event.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“create-event-detailed”` signal

    void
    user_function (GcalView *gcalview,
                   gpointer  arg1,
                   gpointer  arg2,
                   gpointer  user_data)

Emitted when the view wants to create an event and immediately edit it.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Run Last